-include $(STAGINGDIR)/components.config

INSTALL ?= install

TARGET:=libipat

OBJECTS:=ipat.o ipat_address.o ipat_buffer.o ipat_type.o ipat_text.o ipat_mac.o ipat_mac_text.o

CFLAGS += -Wall -Wextra -Werror -fPIC -I../include -I../include_priv -I$(STAGINGDIR)/include
LDFLAGS += -L$(STAGINGDIR)/lib

.PHONY: all
all: $(TARGET).so $(TARGET).a

$(TARGET).so: $(OBJECTS)
	$(CC) -Wl,-soname,$(@) -shared -fPIC -o $(@) $(OBJECTS) $(LDFLAGS)
	
-include $(OBJECTS:.o=.d)

$(TARGET).a: $(OBJECTS)
	$(AR) rcs $(@) $^

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<
	@$(CC) $(CFLAGS) -MM -MP -MT '$(@) $(@:.o=.d)' -MF $(@:.o=.d) $(<)

.PHONY: clean
clean:
	rm -f *.o *.d
	rm -f $(TARGET).so $(TARGET).a

.PHONY: doc
doc:
